var initList = initList || [];
initList.push(function() {

    var buttons1 = $(".content_nav .buttons");
    var sections1 = $(".content_nav .time_line");
    var stage1 = 1;
    var num_sections1 = 6; //sections.children().length;
    var width_sections1 = 1245; //1014;//parseInt (sections.children().css("width")) + parseInt(sections.children().css("marginRight") )  + parseInt(sections.children().css("marginLeft") );
    var time_factor1 = 1.5 * width_sections1;

    buttons1.click(function() {
        var variation;

        if ($(this).hasClass("prev")) {
            variation = "+=";
            stage1--;
        } else {
            variation = "-=";
            stage1++;
        }
        $(this).fadeOut(50,
            function() {
                if ($(this).hasClass("prev")){
                    $('.content_nav .buttons.next').fadeOut();
                }else{
                    $('.content_nav .buttons.prev').fadeOut();
                }

                sections1.animate({
                    marginLeft: variation + width_sections1
                }, time_factor1, function() {
                    if (stage1 < 6) buttons1.last().fadeIn();
                    if (stage1 < 6 && stage1 > 1) buttons1.first().fadeIn();
                    if (stage1 == 6) buttons1.first().fadeIn();
                });
            });
    });

    $(".show-me").hide();
    $('[data-sg-toggle-other]').click(sg.toggleOther);
    $('.content_nav .time_line .item .step ul li').wrapInner('<span />');
});